#include <iostream>
#include <vector>
#include <math.h>
using namespace std;

int main()
{
    int n; cin >> n;
    vector<int> a(n);
    vector<int> b(n);
    if(n == 2)
    {
        cout << "1 3" << endl;
        cout << "4 2" << endl;
    }
    else if(n == 3)
    {
        cout << "4 1 5" << endl;
        cout << "3 6 2";
    }
    else if (n == 4)
    {
        cout << "4 8 1 5" << endl;
        cout << "3 7 2 6";
    }
    else if(n == 5)
    {
        cout << "6 10 1 8 4" << endl;
        cout << "5 9 2 7 3";
    }
}